-- Типы транспорта
INSERT INTO transport_type (name) VALUES 
('Автомобильный'), 
('Железнодорожный'), 
('Воздушный'), 
('Морской'), 
('Речной');

-- Транспорт
INSERT INTO transport (model, capacity, type_id) VALUES 
('Volvo FH16', 20, 1), 
('Siemens Vectron', 100, 2), 
('Boeing 747', 50, 3), 
('Maersk Triple-E', 200, 4), 
('Речной баркас', 30, 5);

-- Маршруты
INSERT INTO route (name, price) VALUES 
('Москва - Санкт-Петербург', 5000.00), 
('Владивосток - Москва', 15000.00), 
('Калининград - Новороссийск', 12000.00), 
('Сочи - Санкт-Петербург', 8000.00), 
('Казань - Екатеринбург', 6000.00);

-- Клиенты
INSERT INTO client (name, is_regular) VALUES 
('ООО "Грузоперевозки"', TRUE), 
('ЗАО "Быстрая логистика"', FALSE), 
('ИП Иванов', TRUE), 
('АО "Транспорт-Сервис"', FALSE), 
('Физлицо Петров', TRUE);

-- Грузы
INSERT INTO cargo (description, weight) VALUES 
('Стройматериалы', 5000.00), 
('Продукты питания', 2000.00), 
('Одежда и обувь', 1500.00), 
('Электроника', 1000.00), 
('Автозапчасти', 3000.00);

-- Перевозки (Пример: один маршрут, один транспорт, один груз, один клиент)
INSERT INTO shipment (route_id, transport_id, cargo_id, client_id, cost) VALUES 
(1, 1, 1, 1, 4800.00), -- Скидка для постоянного клиента
(2, 2, 2, 2, 15000.00), 
(3, 3, 3, 3, 11400.00), -- Скидка для постоянного клиента
(4, 4, 4, 4, 8000.00), 
(5, 5, 5, 5, 5700.00); -- Скидка для постоянного клиента
