package domain

// Transport представляет конкретное транспортное средство
type Transport struct {
	ID       int64  `json:"id"`
	Model    string `json:"model"`
	Capacity int    `json:"capacity"`
	Type     string `json:"type"`
}

// TransportType представляет тип транспорта (автомобильный, морской и т. д.)
type TransportType struct {
	ID   int64  `json:"id"`
	Name string `json:"name"`
}
